"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commaSeparated = exports.colon = exports.semicolon = exports.space = exports.comma = exports.dot = void 0;
const ArrayUtils = require("../utils/array_utils");
exports.dot = ".";
exports.comma = ",";
exports.space = " ";
exports.semicolon = ";";
exports.colon = ":";
function commaSeparated(...tokenGroups) {
    return tokenGroups.flatMap((g, i, arr) => ArrayUtils.isLastIndex(arr, i) ? g : [...g, exports.comma, exports.space]);
}
exports.commaSeparated = commaSeparated;
